#[allow(non_snake_case)]
fn R_InitTextures() {

}

#[allow(non_snake_case)]
fn R_InitFlats() {

}

#[allow(non_snake_case)]
fn R_InitSpriteLumps() {

}

#[allow(non_snake_case)]
fn R_InitColormaps() {

}

#[allow(non_snake_case)]
pub fn R_GetColumn (tex: i32, col: i32) {

}


/// R_InitData
/// Locates all the lumps that will be used by all views
/// This must be called after `W_Init`
#[allow(non_snake_case)]
pub fn R_InitData() {
    R_InitTextures();
    println!("InitTextures");
    R_InitFlats();
    println!("InitFlats");
    R_InitSpriteLumps();
    println!("InitSprites");
    R_InitColormaps();
    println!("InitColormaps");
}

#[allow(non_snake_case)]
pub fn R_PrecacheLevel() {

}

#[allow(non_snake_case)]
pub fn R_FlatNumForName(name: &str) -> i32 {
    1
}

#[allow(non_snake_case)]
pub fn R_TextureNumForName(name: &str) -> i32 {
    1
}

#[allow(non_snake_case)]
pub fn R_CheckTextureNumForName(name: &str) -> i32 {
    1
}